Package org.apache.batchee.jsefa

## Class JSefaWriter

- java.lang.Object
- - org.apache.batchee.jsefa.JSefaWriter

- All Implemented Interfaces:
    `javax.batch.api.chunk.ItemWriter`
  Direct Known Subclasses:
    `JSefaCsvWriter`, `JSefaFlrWriter`, `JSefaXmlWriter`

      public abstract class JSefaWriter
      extends Object
      implements javax.batch.api.chunk.ItemWriter

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `encoding` |
    `protected String` | `file` |
    `protected String` | `objectAccessorProvider` |
    `protected String` | `objectTypes` |
    `protected net.sf.jsefa.Serializer` | `serializer` |
    `protected String` | `simpleTypeProvider` |
    `protected TransactionalWriter` | `transactionalWriter` |
    `protected String` | `typeMappingRegistry` |
    `protected String` | `validationMode` |
    `protected String` | `validationProvider` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JSefaWriter()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Serializable` | `checkpointInfo()` |
    `void` | `close()` |
    `protected abstract net.sf.jsefa.Serializer` | `createSerializer()` |
    `void` | `open​(Serializable checkpoint)` |
    `void` | `writeItems​(List<Object> items)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### objectTypes

          @Inject
          protected String objectTypes

    - #### validationMode

          @Inject
          protected String validationMode

    - #### objectAccessorProvider

          @Inject
          protected String objectAccessorProvider

    - #### validationProvider

          @Inject
          protected String validationProvider

    - #### simpleTypeProvider

          @Inject
          protected String simpleTypeProvider

    - #### typeMappingRegistry

          @Inject
          protected String typeMappingRegistry

    - #### file

          @Inject
          protected String file

    - #### encoding

          @Inject
          protected String encoding

    - #### serializer

          protected net.sf.jsefa.Serializer serializer

    - #### transactionalWriter

          protected TransactionalWriter transactionalWriter

  - ### Constructor Detail

    - #### JSefaWriter

          public JSefaWriter()

  - ### Method Detail

    - #### open

          public void open​(Serializable checkpoint)
                    throws Exception

      Specified by:
        `open` in interface `javax.batch.api.chunk.ItemWriter`
      Throws:
        `Exception`

    - #### createSerializer

          protected abstract net.sf.jsefa.Serializer createSerializer()
                                                               throws Exception

      Throws:
        `Exception`

    - #### close

          public void close()
                     throws Exception

      Specified by:
        `close` in interface `javax.batch.api.chunk.ItemWriter`
      Throws:
        `Exception`

    - #### writeItems

          public void writeItems​(List<Object> items)
                          throws Exception

      Specified by:
        `writeItems` in interface `javax.batch.api.chunk.ItemWriter`
      Throws:
        `Exception`

    - #### checkpointInfo

          public Serializable checkpointInfo()
                                      throws Exception

      Specified by:
        `checkpointInfo` in interface `javax.batch.api.chunk.ItemWriter`
      Throws:
        `Exception`